/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./combobox.component";
import * as i2 from "../common/templates/fixed-group-template.directive";
import * as i3 from "../common/templates/footer-template.directive";
import * as i4 from "../common/templates/group-template.directive";
import * as i5 from "../common/templates/header-template.directive";
import * as i6 from "../common/templates/item-template.directive";
import * as i7 from "../common/templates/no-data-template.directive";
import * as i8 from "../common/filtering/filter.directive";
import * as i9 from "../common/localization/custom-messages.component";
import * as i10 from "@progress/kendo-angular-common";
import * as i11 from "./multicolumncombobox.component";
import * as i12 from "./combobox-column/combobox-column.component";
import * as i13 from "./combobox-column/column-header-template.directive";
import * as i14 from "./combobox-column/column-cell-template.directive";
/**
 *
 * The exported package module.
 *
 * The package exports:
 * - `ComboBoxComponent`&mdash;The ComboBox component class.
 * - `ComboBoxColumnComponent`&mdash;The ComboBoxColumn component class.
 * - `MultiColumnComboBoxComponent`&mdash;The MultiColumnComboBox component class.
 * - `ItemTemplateDirective`&mdash;The item template directive.
 * - `HeaderTemplateDirective`&mdash;The header template directive.
 * - `FooterTemplateDirective`&mdash;The footer template directive.
 * - `NoDataTemplateDirective`&mdash;The no data template directive.
 * - `FixedGroupTemplateDirective`&mdash;The fixed group template directive.
 * - `GroupTemplateDirective`&mdash;The group template directive.
 * - `FilterDirective`&mdash;The filter directive.
 * - `CustomMessagesComponent`&mdash;The custom messages component.
 * - `SuffixTemplateDirective`&mdash;The suffix template directive.
 * - `PrefixTemplateDirective`&mdash;The prefix template directive.
 */
export declare class ComboBoxModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ComboBoxModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ComboBoxModule, never, [typeof i1.ComboBoxComponent, typeof i2.FixedGroupTemplateDirective, typeof i3.FooterTemplateDirective, typeof i4.GroupTemplateDirective, typeof i5.HeaderTemplateDirective, typeof i6.ItemTemplateDirective, typeof i7.NoDataTemplateDirective, typeof i8.FilterDirective, typeof i9.CustomMessagesComponent, typeof i10.SuffixTemplateDirective, typeof i10.PrefixTemplateDirective, typeof i10.SeparatorComponent, typeof i11.MultiColumnComboBoxComponent, typeof i12.ComboBoxColumnComponent, typeof i13.ColumnHeaderTemplateDirective, typeof i14.ColumnCellTemplateDirective, typeof i2.FixedGroupTemplateDirective, typeof i3.FooterTemplateDirective, typeof i4.GroupTemplateDirective, typeof i5.HeaderTemplateDirective, typeof i6.ItemTemplateDirective, typeof i7.NoDataTemplateDirective, typeof i8.FilterDirective, typeof i9.CustomMessagesComponent, typeof i10.SuffixTemplateDirective, typeof i10.PrefixTemplateDirective, typeof i10.SeparatorComponent, typeof i10.PrefixTemplateDirective, typeof i10.SuffixTemplateDirective, typeof i10.SeparatorComponent], [typeof i1.ComboBoxComponent, typeof i2.FixedGroupTemplateDirective, typeof i3.FooterTemplateDirective, typeof i4.GroupTemplateDirective, typeof i5.HeaderTemplateDirective, typeof i6.ItemTemplateDirective, typeof i7.NoDataTemplateDirective, typeof i8.FilterDirective, typeof i9.CustomMessagesComponent, typeof i10.SuffixTemplateDirective, typeof i10.PrefixTemplateDirective, typeof i10.SeparatorComponent, typeof i11.MultiColumnComboBoxComponent, typeof i12.ComboBoxColumnComponent, typeof i13.ColumnHeaderTemplateDirective, typeof i14.ColumnCellTemplateDirective, typeof i2.FixedGroupTemplateDirective, typeof i3.FooterTemplateDirective, typeof i4.GroupTemplateDirective, typeof i5.HeaderTemplateDirective, typeof i6.ItemTemplateDirective, typeof i7.NoDataTemplateDirective, typeof i8.FilterDirective, typeof i9.CustomMessagesComponent, typeof i10.SuffixTemplateDirective, typeof i10.PrefixTemplateDirective, typeof i10.SeparatorComponent, typeof i10.PrefixTemplateDirective, typeof i10.SuffixTemplateDirective, typeof i10.SeparatorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ComboBoxModule>;
}
